|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QGLWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QGLWidget class reference

### Public Functions

- void setFormat ( const QGLFormat & format ) `(obsolete)`

- 3 public functions inherited from QWidget

### Protected Functions

- int fontDisplayListBase ( const QFont & font, int listBase = 2000 ) `(obsolete)`

- 1 protected function inherited from QWidget

## Member Function Documentation

### int QGLWidget::fontDisplayListBase ( const QFont & font, int listBase = 2000 ) `[protected]`

Returns the value of the first display list that is generated for the characters in the given font. listBase indicates the base value used when generating the display lists for the font. The default value is 2000.

### void QGLWidget::setFormat ( const QGLFormat & format )

Sets a new format for this widget.

If the underlying OpenGL/Window system cannot satisfy all the features requested in format, the nearest subset of features will be used. After creation, the format() method will return the actual rendering context format obtained.

The widget will be assigned a new QGLContext, and the initializeGL() function will be executed for this new context before the first resizeGL() or paintGL().

This method will try to keep display list and texture object sharing in effect with other QGLWidgets, but changing the format might make sharing impossible. Use isSharing() to see if sharing is still in effect.

See also format(), isSharing(), and isValid().